Package: org.codehaus.groovy.tools.javac

## [Java] Class JavaStubCompilationUnit

- org.codehaus.groovy.tools.javac.JavaStubCompilationUnit

- Compilation unit to only generate stubs.

  Authors:
    Jason Dillon
    Guillaume Laforge

- - ### Constructor Summary

    Constructors
    Constructor and description
    `JavaStubCompilationUnit (CompilerConfiguration config, GroovyClassLoader gcl, File destDir)`
    `JavaStubCompilationUnit (CompilerConfiguration config, GroovyClassLoader gcl)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `org.codehaus.groovy.control.SourceUnit` | `addSource(File file)`
    `` | `org.codehaus.groovy.control.SourceUnit` | `addSource(URL url)`
    `` | `void` | `compile()`
    `` | `void` | `configure(CompilerConfiguration config)`
    `` | `int` | `getStubCount()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.codehaus.groovy.control.CompilationUnit` | `org.codehaus.groovy.control.CompilationUnit#compile(), org.codehaus.groovy.control.CompilationUnit#compile(int), org.codehaus.groovy.control.CompilationUnit#iterator(), org.codehaus.groovy.control.CompilationUnit#getClasses(), org.codehaus.groovy.control.CompilationUnit#configure(org.codehaus.groovy.control.CompilerConfiguration), org.codehaus.groovy.control.CompilationUnit#getClassNode(java.lang.String), org.codehaus.groovy.control.CompilationUnit#setClassNodeResolver(org.codehaus.groovy.control.ClassNodeResolver), org.codehaus.groovy.control.CompilationUnit#addClassNode(org.codehaus.groovy.ast.ClassNode), org.codehaus.groovy.control.CompilationUnit#addFirstPhaseOperation(org.codehaus.groovy.control.CompilationUnit$PrimaryClassNodeOperation, int), org.codehaus.groovy.control.CompilationUnit#setClassgenCallback(org.codehaus.groovy.control.CompilationUnit$ClassgenCallback), org.codehaus.groovy.control.CompilationUnit#getAST(), org.codehaus.groovy.control.CompilationUnit#addPhaseOperation(org.codehaus.groovy.control.CompilationUnit$SourceUnitOperation, int), org.codehaus.groovy.control.CompilationUnit#addPhaseOperation(org.codehaus.groovy.control.CompilationUnit$PrimaryClassNodeOperation, int), org.codehaus.groovy.control.CompilationUnit#addPhaseOperation(org.codehaus.groovy.control.CompilationUnit$GroovyClassOperation), org.codehaus.groovy.control.CompilationUnit#addSource(java.io.File), org.codehaus.groovy.control.CompilationUnit#addSource(java.net.URL), org.codehaus.groovy.control.CompilationUnit#addSource(java.lang.String, java.lang.String), org.codehaus.groovy.control.CompilationUnit#addSource(org.codehaus.groovy.control.SourceUnit), org.codehaus.groovy.control.CompilationUnit#addSource(java.lang.String, java.io.InputStream), org.codehaus.groovy.control.CompilationUnit#applyToGeneratedGroovyClasses(org.codehaus.groovy.control.CompilationUnit$GroovyClassOperation), org.codehaus.groovy.control.CompilationUnit#getClassNodeResolver(), org.codehaus.groovy.control.CompilationUnit#applyToPrimaryClassNodes(org.codehaus.groovy.control.CompilationUnit$PrimaryClassNodeOperation), org.codehaus.groovy.control.CompilationUnit#addSources([Ljava.lang.String;), org.codehaus.groovy.control.CompilationUnit#addSources([Ljava.io.File;), org.codehaus.groovy.control.CompilationUnit#isPublicClass(java.lang.String), org.codehaus.groovy.control.CompilationUnit#getClassgenCallback(), org.codehaus.groovy.control.CompilationUnit#applyToSourceUnits(org.codehaus.groovy.control.CompilationUnit$SourceUnitOperation), org.codehaus.groovy.control.CompilationUnit#getSummariesBySourceName(), org.codehaus.groovy.control.CompilationUnit#getFirstClassNode(), org.codehaus.groovy.control.CompilationUnit#getSummariesByPublicClassName(), org.codehaus.groovy.control.CompilationUnit#getProgressCallback(), org.codehaus.groovy.control.CompilationUnit#getTransformLoader(), org.codehaus.groovy.control.CompilationUnit#addNewPhaseOperation(org.codehaus.groovy.control.CompilationUnit$SourceUnitOperation, int), org.codehaus.groovy.control.CompilationUnit#getASTTransformationsContext(), org.codehaus.groovy.control.CompilationUnit#getClassSourcesByPublicClassName(), org.codehaus.groovy.control.CompilationUnit#setProgressCallback(org.codehaus.groovy.control.CompilationUnit$ProgressCallback), org.codehaus.groovy.control.CompilationUnit#getClassLoader(), org.codehaus.groovy.control.CompilationUnit#setClassLoader(groovy.lang.GroovyClassLoader), org.codehaus.groovy.control.CompilationUnit#completePhase(), org.codehaus.groovy.control.CompilationUnit#nextPhase(), org.codehaus.groovy.control.CompilationUnit#gotoPhase(int), org.codehaus.groovy.control.CompilationUnit#getConfiguration(), org.codehaus.groovy.control.CompilationUnit#getErrorCollector(), org.codehaus.groovy.control.CompilationUnit#setConfiguration(org.codehaus.groovy.control.CompilerConfiguration), org.codehaus.groovy.control.CompilationUnit#getPhase(), org.codehaus.groovy.control.CompilationUnit#getPhaseDescription(), org.codehaus.groovy.control.CompilationUnit#wait(), org.codehaus.groovy.control.CompilationUnit#wait(long, int), org.codehaus.groovy.control.CompilationUnit#wait(long), org.codehaus.groovy.control.CompilationUnit#equals(java.lang.Object), org.codehaus.groovy.control.CompilationUnit#toString(), org.codehaus.groovy.control.CompilationUnit#hashCode(), org.codehaus.groovy.control.CompilationUnit#getClass(), org.codehaus.groovy.control.CompilationUnit#notify(), org.codehaus.groovy.control.CompilationUnit#notifyAll()`
    `class ProcessingUnit` | `getClassLoader, configure, setClassLoader, completePhase, nextPhase, gotoPhase, getConfiguration, getErrorCollector, setConfiguration, getPhase, getPhaseDescription, wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public JavaStubCompilationUnit(CompilerConfiguration config, GroovyClassLoader gcl, File destDir)

    - #### public JavaStubCompilationUnit(CompilerConfiguration config, GroovyClassLoader gcl)

  - ### Method Detail

    - #### @Override public org.codehaus.groovy.control.SourceUnit addSource(File file)

    - #### @Override public org.codehaus.groovy.control.SourceUnit addSource(URL url)

    - #### @Override public void compile()

    - #### @Override public void configure(CompilerConfiguration config)

    - #### public int getStubCount()